# Class TCEFBrowserBitmap

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFBrowserBitmap

## Declaration

`type TCEFBrowserBitmap = class(TBitmap)`

## Description

This item has no description.

## Hierarchy

- TBitmap
- TCEFBrowserBitmap

## Overview

### Fields

| `FScanlineSize: integer;`
| `FDeviceScaleFactor: single;`
| `FSyncObj: THandle;`

### Methods

| `function GetBufferBits: pointer;`
| `procedure CreateSyncObj;`
| `procedure DestroySyncObj;`
| `constructor Create; override;`
| `destructor Destroy; override;`
| `function BeginDraw: boolean;`
| `procedure EndDraw;`
| `function UpdateDimensions(aWidth, aHeight : integer) : boolean;`
| `procedure BufferDraw(const aBitmap : TBitmap; const aSrcRect, aDstRect : TRect);`

### Properties

| `property ScanlineSize : integer read FScanlineSize;`
| `property BufferBits : pointer read GetBufferBits;`
| `property DeviceScaleFactor : single read FDeviceScaleFactor write FDeviceScaleFactor;`

## Description

### Fields

| `FScanlineSize: integer;`
This item has no description.

| `FDeviceScaleFactor: single;`
This item has no description.

| `FSyncObj: THandle;`
This item has no description.

### Methods

| `function GetBufferBits: pointer;`
This item has no description.

| `procedure CreateSyncObj;`
This item has no description.

| `procedure DestroySyncObj;`
This item has no description.

| `constructor Create; override;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `function BeginDraw: boolean;`
This item has no description.

| `procedure EndDraw;`
This item has no description.

| `function UpdateDimensions(aWidth, aHeight : integer) : boolean;`
This item has no description.

| `procedure BufferDraw(const aBitmap : TBitmap; const aSrcRect, aDstRect : TRect);`
This item has no description.

### Properties

| `property ScanlineSize : integer read FScanlineSize;`
This item has no description.

| `property BufferBits : pointer read GetBufferBits;`
This item has no description.

| `property DeviceScaleFactor : single read FDeviceScaleFactor write FDeviceScaleFactor;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.